/*Google fonts*/
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&amp;display=swap");

/*Variables*/
:root {
    --header-height: 4rem;

    /* Change favorite color */
    --hue-color: 160; /*Purple 250 - Green 142 - Blue 230 - Pink 340*/
    --hue-color-secondary: 221;

    /* HSL color mode */
    --first-color: hsl(var(--hue-color), 69%, 61%);
    --first-color-second: hsl(var(--hue-color), 69%, 61%);
    --first-color-alt: hsl(var(--hue-color), 57%, 53%);
    --first-color-lighter: hsl(var(--hue-color), 98%, 99%);
    --title-color: hsl(var(--hue-color), 8%, 15%);
    --text-color: hsl(var(--hue-color), 8%, 45%);
    --text-color-light: hsl(var(--hue-color), 8%, 65%);
    --input-color: hsl(var(--hue-color), 70%, 96%);
    --body-color: hsl(var(--hue-color), 60%, 99%);
    --container-color: #fff;
    --scroll-bar-color: hsl(var(--hue-color), 12%, 90%);
    --scroll-thumb-color: hsl(var(--hue-color), 12%, 80%);

    --color-secondary: hsl(var(--hue-color-secondary),39%,11%);

    /*Fonts*/
    --body-font: 'Poppins', sans-serif;

    /* .5rem = 8px, 1rem = 16px, 1.5rem = 24px ... */
    --big-font-size: 2.5rem;
    --h1-font-size: 1.875rem;
    --h2-font-size: 1.562rem;
    --h3-font-size: 1.406rem;
    --normal-font-size: 1.172rem;
    --small-font-size: 1.016rem;
    --smaller-font-size: .9375rem;

    --font-medium: 500;
    --font-semi-bold: 600;

    /*Margins*/
    /* .25rem = 4px, .5rem = 8px, .75rem = 12px ... */
    --mb-0-25: .25rem;
    --mb-0-5: .5rem;
    --mb-0-75: .75rem;
    --mb-1: 1rem;
    --mb-1-5: 1.5rem;
    --mb-2: 2rem;
    --mb-2-5: 2.5rem;
    --mb-3: 3rem;

    /*Index*/
    --z-tooltip: 10;
    --z-fixed: 100;
    --z-modal: 1000;
}

/* Font size for large devices */
@media screen and (min-width: 968px) {
    :root {
        --big-font-size: 3.75rem;
        --h1-font-size: 3.125rem;
        --h2-font-size: 1.875rem;
        --h3-font-size: 1.562rem;
        --normal-font-size: 1.25rem;
        --small-font-size: 1.094rem;
        --smaller-font-size: 1.016rem;
    }
}

/*Darker themes*/
body.dark-theme{
    --first-color-second: hsl(var(--hue-color), 30%, 8%);
    --title-color: hsl(var(--hue-color), 8%, 95%);
    --text-color: hsl(var(--hue-color), 8%, 75%);
    --input-color: hsl(var(--hue-color), 29%, 16%);
    --body-color: hsl(var(--hue-color), 85%, 39%);
    --container-color: hsl(var(--hue-color), 29%, 16%);
    --scroll-bar-color: hsl(var(--hue-color), 12%, 48%);
    --scroll-thumb-color: hsl(var(--hue-color), 12%, 36%);
}

span.stars{
  position: absolute;
  top: 50%;
  left:50%;
  width: 4px;
  height: 4px;
  background-color: rgb(22, 4, 57);
  border-radius: 50%;
  box-shadow: 0 0 0 4px rgba(20, 12, 106, 0.1),
  0 0 0 8px rgba(58, 23, 185, 0.1),
  0 0 20px rgb(19, 11, 74);
  animation: animate 3s linear infinite;
}

span.stars::before{
  content: '';
  position: absolute;
  transform: translateY(-50%);
  top:50%;
  width:300px;
  height:1px;
  background: linear-gradient(90deg,rgb(31, 5, 96), transparent);
}

#work-experiences {
  display: flex;
  align-items: flex-start;
  width: 100%;
  margin: auto;
}

#work-experiences h2 {
  text-align: center;
  margin-left: -10px;
  width: 100%;
}

.font_color_secondary{
  color: var(--color-secondary);
}

.experience-section {
  display: flex;
  justify-content: center;
  align-items: flex-start;
  width: 80%;
}

.timeline {
  width: 40%;
  border-right: 1px solid #c0c0c0;
  padding-right: 20px;
  margin-right: 20px;
}

.timeline {
  position: relative;
}

#position{
  text-align: center;
}

#experience-list {
  list-style: none;
  padding: 0;
}

#experience-list li {
  padding: 10px 0 10px 15px;
  cursor: pointer;
  transition: background-color 0.2s ease;
}

#experience-list li h3,
#experience-list li h4,
#experience-list li p {
    margin: 0;
}

#experience-list li h3 {
    margin-bottom: 5px;
}

#progress-bar {
  position: absolute;
  width: 2px;  /* Make the bar 2px wide instead of 2px high */
  background: goldenrod;
  height: 100%;  /* This sets the height to be equal to a single list item */
  transition: top 0.3s ease;
}


#experience-list li h4 {
    font-weight: normal;
    color: #666666;
}

#duration, #description {
  display: none;
}

#experience-list li:hover,
#experience-list li.highlight {
}

#experience-list li.selected,
#experience-list li.selected:hover,
#experience-list li.selected.highlight {
}

#duration {
  display: none;
}

#experience-list li {
  padding: 10px 0 10px 190px; /* Adjust the last value (50px) to suit your needs */
  cursor: pointer;
  transition: all 0.3s ease;
  color: var(--body-color);
  font-size: 1rem;
}

#experience-list li:hover,
#experience-list li.highlight {
  text-shadow: 0 0 10px var(--body-color);
}

#experience-list li.selected,
#experience-list li.selected:hover,
#experience-list li.selected.highlight {
  font-size: 1.2rem;
  color: var(--body-color);
  text-shadow: 0 0 10px goldenrod;
}

#duration, #description, #position {
  display: none;
}

#progress-bar {
  position: absolute;
  left: 170px; 
  top: 0;
  width: 2px; /* Adjust the width of the progress bar */
  height: 20%;
  background-color: goldenrod;
  transition: top 0.3s ease;
}


@keyframes animate {
  0%{
    transform: rotate(315deg) translateX(0);
    opacity: 1;
  }
  100%{
    transform: rotate(315deg) translateX(-1000px);
    opacity: 0;
  }
  
}

span.stars:nth-child(1){
  top:0px;
  left: initial;
  right: 300px;
  animation-delay: 0s;
  animation-duration:  10s;
}

span.stars:nth-child(2){
  top:0px;
  left: initial;
  right: 200px;
  animation-delay: 0.2s;
  animation-duration:  6s;
}

span.stars:nth-child(3){
  top: 0px;
  right: 100px;
  animation-delay: 0.4s;
  animation-duration:  2s;
}

span.stars:nth-child(4){
  top:0 px;
  left: initial;
  animation-delay: 0.2s;
  animation-duration:  1.5s;
}

span.stars:nth-child(5){
  top:0 px;
  left: initial;
  right: 200px;
  animation-delay: 0.15s;
  animation-duration:  2.5s;
}

span.stars:nth-child(6){
  top:0px;
  left: 100px;
  animation-delay: 0.11s;
  animation-duration:  .5s;
}

span.stars:nth-child(8){
  top:0 px;
  left: 300px;
  animation-delay: 0.4s;
  animation-duration:  10.55s;
}

span.stars:nth-child(9){
  top:300px;
  left: initial;
  right: 100px;
  animation-delay: 0.65s;
  animation-duration:  2.25s;
}
span.stars:nth-child(10){
  top:0px;
  left: 450px;
  animation-delay: 0.55s;
  animation-duration:  2.25s;
}


span.starss{
  position: absolute;
  top: 50%;
  left:50%;
  width: 4px;
  height: 4px;
  background-color: #0FBA81;
  border-radius: 50%;
  box-shadow: 0 0 0 4px rgba(255,255,255,0.1),
  0 0 0 8px rgba(255,255,255,0.1),
  0 0 20px rgba(16,185,129,1);
  animation: animate 3s linear infinite;
}

span.starss::before{
  content: '';
  position: absolute;
  transform: translateY(-50%);
  top:50%;
  width:300px;
  height:1px;
  background: linear-gradient(90deg,rgba(16,185,129,1), transparent);
}

@keyframes animate {
  0%{
    transform: rotate(315deg) translateX(0);
    opacity: 0;
  }
  70%{
    opacity:1;
  }
  100%{
    transform: rotate(315deg) translateX(-1000px);
    opacity: 0;
  }
  
}

span.starss:nth-child(1){
  top:0px;
  left: initial;
  right: 300px;
  animation-delay: 0s;
  animation-duration:  2s;
}

span.starss:nth-child(2){
  top:0px;
  left: initial;
  right: 700px;
  animation-delay: 0s;
  animation-duration:  3s;
}

span.starss:nth-child(3){
  top: 80px;
  right: initial;
  animation-delay: 0s;
  animation-duration:  1s;
}

span.starss:nth-child(4){
  top:0px;
  left: initial;
  right:200px;
  animation-delay: 0.s;
  animation-duration:  1.5s;
}

span.starss:nth-child(5){
  top:0px;
  left: initial;
  right: 1500px;
  animation-delay: 0.s;
  animation-duration:  2.5s;
}

span.starss:nth-child(6){
  top:100px;
  left: initial;
  right: 90px;
  animation-delay: 0s;
  animation-duration:  1s;
}

span.starss:nth-child(7){
  top:0px;
  left: 1rem;
  animation-delay: 0s;
  animation-duration:  1.25s;
}


/*Buttons contrast*/
.nav_btns{
  display: flex;
  align-items: center;
}

.change-theme{
  font-style: var(--body-font);
  color: var(--title-color);
  margin-right: var(--mb-1);
  cursor: pointer;
  display: flex;
  flex-direction: column;
  align-items: center;
  font-size: var(--small-font-size);
  font-weight: var(--font-medium);
}

.change-theme:hover{
  color: var(--first-color);

}


/*Base*/
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

html {
  scroll-behavior: smooth;
}

body {
  margin: 0 0 var(--header-height) 0;
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  background-color: var(--body-color);
  color: var(--text-color);
}

h1, h2 {
  color: var(--title-color);
  font-weight: var(--font-semi-bold);
}

h3, h4 {
  color: var(--color-secondary);
  font-weight: var(--font-semi-bold);
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
}

img {
  max-width: 100%;
  height: auto;
}

/*CSS classes*/
.section {
  margin-bottom: 0;
  padding-bottom: 0;
}

.section_title {
  font-size: var(--h1-font-size);
  color: var(--title-color);
}

.section_title_light {
  font-size: var(--h1-font-size);
  color: var(--color-secondary);
}

.worksection {
  font-size: var(--h1-font-size);
  color: var(--title-color);
  margin-left: 85px;
}

.section_subtitle {
  display: block;
  font-size: var(--small-font-size);
  margin-bottom: var(--mb-3);
}

.section_subtitle_light {
  display: block;
  font-size: var(--small-font-size);
  color: var(--color-secondary);
  margin-bottom: var(--mb-3);
}

.section_title,
.section_title_light, 
.section_subtitle,
.section_subtitle_light {
  text-align: center;
}

/*Layout*/
.container {
  max-width: 768px;
  margin-left: var(--mb-1-5);
  margin-right: var(--mb-1-5);
}

.grid {
  display: grid;
  gap: 1.5rem;
}

.header {
  width: 100%;
  position: fixed;
  bottom: 0;
  left: 0;
  z-index: var(--z-fixed);
  background-color: var(--body-color);
}

/*Nav*/
.nav{
  max-width: 968px;
  height: var(--header-height);
  display: flex;
  justify-content: space-between;
  align-items: center;
} 

.nav_logo, 
.nav_toggle{
  color:var(--title-color);
  font-weight: 600;
}

.nav_logo:hover{
  color: var(--first-color);
}

.nav_toggle{
  font-size: 1.1rem;
  cursor: pointer;
}

.nav_toggle:hover{
  color: var(--first-color);
}

@media screen and (max-width: 767px){
  .nav_menu{
    position: fixed;
    bottom: -100%;
    left: 0;
    width: 100%;
    background-color: var(--body-color);
    padding: 2rem 1.5rem 4rem;
    box-shadow: 0 -1px 4px rgba(0, 0, 0, 0.15);
    border-radius: 1.5rem 1.5rem 0 0;
    transition: .3s;

  }
}

.nav_list{
  grid-template-columns: repeat(3 , 1fr);
  gap: 1rem;
}

.nav_link{
  display:flex;
  flex-direction: column;
  align-items: center;
  font-size: var(--small-font-size);
  color: var(--title-color);
  font-weight: var(--font-medium);
}

.nav_link:hover{
  color:var(--first-color);
}

.nav_icon{
  font-size: 1.2rem;
}

.nav_icon{
  font-size: 1.2rem;
}

.nav_close{
  position: absolute;
  right: 1.3rem;
  bottom: 1.5rem;
  font-size: 1.5rem;
  cursor: pointer;
  color: var(--first-color);
}

.nav_close:hover{
  color: var(--first-color-alt);
}
 

/*Show the menu*/
.show-menu{
  bottom: 0;
}


/* Active link */
.active-link{
  color: var(--first-color);
}

/* Change background header */
.scroll-header{
  box-shadow: 0 -1px 4px rgba(0, 0, 0, 0.15);
}

/*Home Page*/
.home_container{
  gap: 1rem;
}

.home_content{
  grid-template-columns: 0.5fr 3fr;
  padding-top: 3.5rem;
  align-items: center;
}

.home_social{
  display: grid;
  grid-template-columns: max-content;
  row-gap: 1rem;
}

.home_social-icon{
  font-size: 1.25rem;
  color: var(--first-color);
}

.home_social-icon:hover{
  color: var(--first-color-alt);
}

.home_blob{
  width: 200px;
  fill: var(--first-color);
}

.home_blob-img{
  width:380px;
  height: 400px;
}

.home_data{
  grid-column: 1/3;
}

.home_title{
  font-size: var(--big-font-size)
}

.home_subtitle{
  font-size: var(--h3-font-size);
  color: var(--text-color);
  font-weight: var(--font-medium);
  margin-bottom: var(--mb-0-75);
}

.home_description{
  margin-bottom: var(--mb-2);
}

.home_scroll{
  /*will work on this later*/
  display: none;
}

.home_scroll-button{
  color: var(--first-color);
  transition: .3s;
} 

.home_scroll-button:hover{
  transform: translateY(1.2rem);
}

.home_scroll-mouse{
  font-size: 2rem;
}

.home_scroll-name{
  font-size: var(--small-font-size);
  color: var(--title-color);
  font-weight: var(--font-medium);
  margin-right: var(--mb-0-25);
}

.home_scroll-arrow{
  font-size: 1.25rem;
}

/*More buttons*/
.button{
  display: inline-block;
  background-color: var(--first-color);
  color: #fff;
  padding: 1rem;
  border-radius: 0.5rem;
  font-weight: var(--font-medium);
}

.button:hover{
  background-color: var(--first-color-alt);
}

.button_icon{
  font-size: 1.25rem;
  margin-left: var(--mb-0-5);
  transition: 0.3s;
}

.button--flex{
  display: inline-flex;
  align-items: center;
}

.button--small{
  padding: .75rem 1rem;
}

.button--link{
  padding:0;
  background-color: transparent;
  color: var(--first-color);
}

.button--link:hover{
  background-color: transparent;
  color: var(--first-color-alt);
}

/*About Page*/
.about_img{
  width: 200px;
  border-radius: .5rem;
  justify-self: center;
  align-self: center;
}

.about_description{
  text-align: left;
  margin-bottom: var(--mb-2-5);
}

.about_info{
  display: flex;
  justify-content: space-evenly;
  margin-bottom: var(--mb-2-5);
}

.about_info-title{
  font-size: var(--h2-font-size);
  font-weight: var(--font-semi-bold);
  color: var(--title-color);
}

.about_info-name{
  font-size: var(--smaller-font-size);
}

.about_info-title,
.about_info-name{
  display:block;
  text-align: center;
}

.about_buttons{
  display: flex;
  justify-content: center;
}

/*Skills Page*/

.skills_container{
  row-gap: 0;
}

.skills_header{
  display:flex;
  align-items: center;
  margin-bottom: var(--mb-2-5);
  cursor: pointer;
}

.skills_icon,
.skills_arrow{
  font-size: 2rem;
  color: var(--first-color);
}

.skills_icon{
  margin-right: var(--mb-0-75);
}

.skills_title{
  font-size: var(--h3-font-size);
}

.skills_subtitle{
  font-size: var(--small-font-size);
  color: var(--text-color-light);
}

.skills_arrow{
  margin-left: auto;
  transition:0.4s;
}

.skills_list{
  row-gap: 1.5rem;
  padding-left: 2.7rem;
}

.skills_titles{
  display: flex;
  justify-content:space-between;
  margin-bottom: var(--mb-0-5);
}

.skills_name{
  font-size: var(--normal-font-size);
  font-weight: var(--font-medium);
}

.skills_bar,
.skills_percentage{
  height: 5px;
  border-radius: .25rem;
}

.skills_bar{
  background-color: var(--first-color-lighter);
}

.skills_percentage{
  display: block;
  background-color: var(--first-color);
}

.skills_html{
  width: 98%;
}

.skills_css{
  width: 95%;
}

.skills_js{
  width: 90%;
}

.skills_cpp{
  width: 85%;
}

.skills_react{
  width: 50%;
}

.skills_mongo{
  width: 95%;

}

.skills_express{
  width: 85%;

}

.skills_node{
  width: 85%;

}

.skills_python{
  width: 80%;

}

.skills_ruby{
  width: 80%;

}

.skills_close .skills_list{
  height: 0;
  overflow: hidden;
}

.skills_open .skills_list{
  height: max-content;
  margin-bottom: var(--mb-2-5);
}

.skills_open .skills_arrow{
  transform: rotate(-180deg);
}

/*Qualification*/
.qualification_tabs{
  display: flex;
  justify-content: left;
}

.qualification_button{
  font-size: var(--h3-font-size);
  font-weight: var(--font-medium);
  cursor: pointer;
}

.qualification_button:hover{
  color: var(--first-color);
}

.qualification_icon{
  font-size: 1.8rem;
  margin-right: var(--mb-0-25);
}

.qualification_data{
  display: grid;
  grid-template-columns: 1fr max-content 1fr;
  column-gap: 1.5rem;
}

.qualification_title{
  font-size: var(--normal-font-size);
  font-weight: var(--font-medium);
}

.qualification_subtitle{
  display: inline-block;
  font-size: var(--small-font-size);
  margin-bottom: var(--mb-1);
}

.qualification_calendar{
  font-size: var(--smaller-font-size);
  color: var(--text-color-light);
}

.qualification_rounder{
  display:inline-block;
  width: 13px;
  height: 13px;
  background-color: var(--first-color);
  border-radius: 50%;
}

.qualification_line{
  display:block;
  width: 1px;
  height: 100%;
  background-color: var(--first-color);
  transform: translate(6px, -7px);
}

.qualification [data-content]{
  display: none;
}

.qualification_active[data-content]{
  display: block;
}

.qualification_button{
  color: var(--first-color);
}

/*Projects*/
.projects_container{
  grid-column-gap:7rem;
  grid-template-columns: repeat(2, 1fr);
}

.projects_content{
  position:relative;
  background-color: var(--container-color);
  padding: 3.5rem .5rem 1.25rem 1.5rem;
  border-radius: 0.25rem;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.15);
  transition: .3s;
  width: 135%;
}

.projects_content:hover{
  box-shadow: 25px 25px 25px 25px rgba(0, 0, 0, 0.15);
}

.projects_icon{
  display:block;
  font-size: 1.5rem;
  color: var(--first-color);
  margin-bottom: var(--mb-1);
}

.projects_title{
  font-size: var(--h3-font-size);
  margin-bottom: var(--mb-1);
  font-weight: var(--font-medium);
}

.projects_button{
  cursor:pointer;
  font-size: var(--small-font-size);
  position: absolute;
  bottom: 1%;
  left: 6%;
}

.projects_button:hover .button_icon{
  cursor:pointer;
  font-size: var(--small-font-size);
}

.projects_button:hover .button_icon{
  transform: translateX(.25rem);
}

.projects_modal{
  position:fixed;
  top:0;
  left:0;
  right:0;
  bottom:0;
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0 1rem;
  z-index: var(--z-modal);
  opacity: 0; 
  visibility: hidden; 
  transition: 0.3s;
}

.projects_modal-content{
  position:relative;
  background-color:var(--color-secondary);
  color: var(--title-color);
  padding:1.5rem; 
  border-radius: .5rem;
}

.projects_modal-projects{
  row-gap: 1rem;
}

.projects_modal-project{
  display:flex;
}

.projects_modal-title{
  font-size: var(--h3-font-size);
  font-weight: var(--font-medium);
  margin-bottom: var(--mb-1-5);
}

.projects_modal-close{
  position:absolute;
  top:1rem;
  right:1rem;
  font-size:1.5rem;
  color: var(--first-color);
  cursor: pointer;
}

.services_modal-icon{
  color: var(--first-color);
  margin-right: var(--mb-0-25);

}


.typewriter h3 {
  overflow: hidden; /* Ensures the content is not revealed until the animation */
  border-right: .15em solid orange; /* The typwriter cursor */
  white-space: nowrap; /* Keeps the content on a single line */
  margin: 0 auto; /* Gives that scrolling effect as the typing happens */
  letter-spacing: .15em; /* Adjust as needed */
  animation: 
    typing 2.4s steps(9, end),
    blink-caret .9s step-end infinite;
}

/* The typing effect */
@keyframes typing {
  from { width: 0 }
  to { width: 100% }
}

/* The typewriter cursor effect */
@keyframes blink-caret {
  from, to { border-color: transparent }
  50% { border-color: var(--first-color) }
}


/* Modal */
.active-modal{
  opacity:1;
  visibility: visible;
}

/*Footer*/
.footer{
  padding-top: 2rem ;
}

.footer_container{
  row-gap: 3.5rem;
}

.footer_bg{
  background-color: var(--first-color-second);
  padding: 2rem 0 3rem;
}

.footer_title{
  font-size: var(--h1-font-size);
  margin-bottom: var(--mb-0-25);
}

.footer_subtitle{
  font-size: var(--small-font-size);
}

.footer_links{
  display: flex;
  flex-direction: column;
  row-gap: 1.5rem;
}

.footer_link:hover{
  color: var(--first-color-lighter);
}

.footer_social{
  font-size: 1.5rem;
  margin-right: var(--mb-1-5);
}

.footer_social:hover{
  color: var(--first-color-lighter);
}

.footer_copy{
  font-size: var(--smaller-font-size);
  text-align: center;
  color: var(--text-color-light);
  margin-top: var(--mb-3);
}

.footer_title,
.footer_subtitle,
.footer_link,
.footer_social{
  color: white;
}

/*Go up*/
.scrollup{
  position:fixed;
  right: 1rem;
  bottom: -20%;
  background-color: var(--first-color);
  opacity: 0.8;
  padding: 0 .3rem;
  border-radius: .4rem;
  z-index: var(--z-tooltip);
  transition: 0.4s;
}

.scrollup:hover{
  background-color: var(--first-color-alt);
}

.scrollup_icon{
  font-size: 1.5rem;
  color: white;
}

/* Show scroll */
.show-scroll{
  bottom: 5rem;
}

/*SCROLL BAR*/
::-webkit-scrollbar{
  width: .60rem;
  background-color: var(--scroll-bar-color);
  border-radius: .5rem;
}

::-webkit-scrollbar-thumb{
  background-color: var(--scroll-thumb-color);
  border-radius: .5rem;
}


::-webkit-scrollbar-thumb::hover{
  background-color: var(--text-color-light);
}


/*==================== MEDIA QUERIES ====================*/
/*small device */

@media screen and (max-width: 350px){
  .container{
    margin-left: var(--mb-1);
    margin-right: var(--mb-1);
  }
  #position{
    text-align: center;
  }
  .timeline {
    width: 100%;
    margin-right: 0;
    padding-right: 0;
  }
  
  #experience-description {
    width: 100%;
    margin-left: 0;
    color: var(--body-color);
    text-align: center; /* Center the text horizontally */
    margin: auto; /* Center the element within its container */
  }

  .nav_menu{
    padding: 2rem .25rem 4rem;
  }

  .nav_list{
    column-gap: 0;
  }

  .home_content{
    grid-template-columns: 0.25fr 3fr;
  }

  .home_blob{
    width:180px;
  }

  .skills_title{
    font-size: var(--normal-font-size);
  }

  .qualification_data{
    gap: .5rem;
  }

  .projects_container{
    grid-template-columns: max-content;
    justify-content: center;
  }

  .projects_content{
    padding-right: 3.5rem;
  }

  .projects_modal{
    padding: 0 .5rem;
  }

}

@media screen and (max-width: 900px) {

  #work-experiences {
    width: 80%;
  }
  .experience-section {
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  
  .projects_container{
    grid-template-columns: repeat(2,10px);
    display: grid;
    grid-template-columns: repeat(2, 9rem);
    justify-content: center;
    margin-left: auto;
    margin-right: auto;
  }

  .timeline {
    width: 100%;
    align-items: left;
    border-right: none;
    padding-right: 0;
    margin-right: 180px;
  }
  
  #experience-description {
    width: 100%;
    margin-left: 0;
    color: var(--color-secondary);
  }
}

/* For medium devices */
@media screen and (min-width: 568px){
  
  .home_content{
    grid-template-columns: max-content 1fr 1fr;
  }
  .home_data{
    grid-column: initial;
  }

  .about_container,
  .skills_container,
  .contact_container,
  .footer_container{
    grid-template-columns: repeat(1,1fr);
  }

  #work-experiences {
    width: 80%;
  }

  @media screen and (min-width:768px){
    #work-experiences {
      width: 80%;
    }

    #company{
      width:10%;
    }

    .container{
      margin-left: auto;
      margin-right: auto;

    }
    body{
      margin: 0;
    }

    .section{
      padding:0 0 2rem 0;
    }

    .section_subtitle, 
    .section_subtitle_light{
      margin-bottom: 4rem;
    }

    .header{
      top:0;
      bottom:initial;
    }

    .header,
    .main,
    .footer_container{
      padding: 0 1rem;
    }

    .nav{
      height:calc(var(--header-height)+1.5rem);
      column-gap: 1rem;
    }

    .nav_icon,
    .nav_close,
    .nav_toggle{
      display:none;
    }

    .nav_list{
      display:flex;
      column-gap: 2rem;
    }

    .nav_menu{
      margin-left:auto;
    }

    .change-theme{
      margin: 0;

    }

    .home_container{
      row-gap: 5rem;
    }

    .home_content{
      padding-top: 5.5rem;
      column-gap: 2rem;
    }

    .home_blob{
      width: 270px;
    }

    .home_scroll{
      display: block;
    }

    .home_scroll-button{
      margin-left:3rem;
    }

    .about_container{
      column-gap:5rem;
    }

    .about_img{
      width: 350px;
    }

    .about_description{
      text-align: initial;
    }

    .about_info{
      justify-content: space-between;
    }

    .about_buttons{
      justify-content: initial;
    }


    .qualification_button{
      margin:0 var(--mb-1);
    }

    .qualification_sections{
      grid-template-columns: .5;
    }

    .projects_container{
      grid-template-columns: repeat(3,218px);
      justify-content: center;
    }

    .projects_icon{
      font-size: 2rem;
    }

    .projects_content{
      padding: 6rem 0 2rem 2.5rem;
    }

    .projects_modal-content{
      width:450px;
    }

    .footer_container{
      grid-template-columns: repeat(3,1fr);
    }

    .footer_bg{
      padding: 3rem 0 3.5rem;
    }

    .footer_links{
      flex-direction: row;
      column-gap: 2rem;
    }

    .footer_socials{
      justify-self: flex-end;
    }

    .footer_copy{
      margin-top: 4.5fr;
    } 
  }
}


@media screen and (min-width:1524px) {
  #work-experiences {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    width: 80%;
    margin: auto;
    padding-left: 200px;
    padding-right: 200px;
  }
  
  #work-experiences h2 {
    text-align: center;
    width: 100%;
  }
  
  .experience-section {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    width: 100%;
  }
  
  .timeline {
    width: 40%;
    border-right: 1px solid #c0c0c0;
    padding-right: 20px;
    margin-right: 20px;
  }
  
  #experience-description {
    width: 60%;
    color: var(--color-secondary);
  }
  
  #experience-list {
    list-style: none;
    padding: 0;
  }
  
  #experience-list li {
    padding: 10px 0 10px 15px;
    cursor: pointer;
    transition: background-color 0.2s ease;
  }
  
  #experience-list li h3,
  #experience-list li h4,
  #experience-list li p {
      margin: 0;
  }
  
  #experience-list li h3 {
      margin-bottom: 5px;
  }
  
  #progress-bar {
    position: absolute;
    width: 2px;  /* Make the bar 2px wide instead of 2px high */
    background: var(--body-color);
    height: 100%;  /* This sets the height to be equal to a single list item */
    transition: top 0.3s ease;
  }
  
  
  #experience-list li h4 {
      font-weight: normal;
      color: #666666;
  }
  
  #duration, #description {
    display: none;
  }
  
  #experience-list li:hover,
  #experience-list li.highlight {
  }
  
  #experience-list li.selected,
  #experience-list li.selected:hover,
  #experience-list li.selected.highlight {
  }
  
  #duration {
    display: none;
  }
  
  #experience-list li {
    padding: 10px 0 10px 190px; /* Adjust the last value (50px) to suit your needs */
    cursor: pointer;
    transition: all 0.3s ease;
    color: var(--color-secondary);
    font-size: 1rem;
    font-weight: 600;
  }
  
  #experience-list li:hover,
  #experience-list li.highlight {
    text-shadow: 0 0 10px var(--body-color);
  }
  
  #experience-list li.selected,
  #experience-list li.selected:hover,
  #experience-list li.selected.highlight {
    font-size: 1.2rem;
    color: var(--body-color);
    text-shadow: 0 0 10px var(--body-color);
  }
  
  #duration, #description, #position {
    display: none;
  }
  
  .timeline {
    position: relative;
  }
  
  #progress-bar {
    position: absolute;
    left: 170px; 
    top: 0;
    width: 2px; /* Adjust the width of the progress bar */
    height: 20%;
    background-color: var(--body-color);
    transition: top 0.3s ease;
  }
  
  .header,
  .main,
  .footer_container{
    padding: 0;
  }

  .home_blob{
    width: 320px;
  }

  .home_social{
    transform: translateX(-6rem);
  }

  .projects_container{
    grid-template-columns: repeat(3,350px);
    display: grid;
    grid-template-columns: repeat(3, 18rem);
    justify-content: center;
    margin-left: auto;
    margin-right: auto;
  }

  .contact_inputs{
    grid-template-columns: repeat(2,1fr);
  }
  
  
}

html {
  scroll-behavior: smooth !important;
}

.col-centered
{
  position: relative;
  margin-left: auto;
  margin-right: auto;
}

.no-select {
-webkit-touch-callout: none; /* iOS Safari */
  -webkit-user-select: none; /* Safari */
   -khtml-user-select: none; /* Konqueror HTML */
     -moz-user-select: none; /* Old versions of Firefox */
      -ms-user-select: none; /* Internet Explorer/Edge */
          user-select: none; /* Non-prefixed version, currently
                             supported by Chrome, Edge, Opera and Firefox */
}

.contact-me-inactive
{

  bottom:-100%;
}

.contact-me-active
{
  bottom:0px;
}

.custom-textarea
{
height:210px;
}

.nav-top-hidden
{
  top: -160px;
}

.nav-top-visible
{
  top:0px;
}

.underline--magical {
  /*background-image: linear-gradient(120deg, #84fab0 0%, #8fd3f4 100%);*/
  background-image: linear-gradient(120deg, #35D399 0%, #35D399 100%);
  
  background-repeat: no-repeat;
  background-size: 100% 0.25em;
  background-position: 0 89%;
  transition: background-size 0.2s ease-in;
  padding-right: 7px;
  padding-left: 3px;

}

.underline--magical:hover
{
  background-size: 100% 89%;
  padding-top: 3px;
}

.underline--magical-2 {
  /*background-image: linear-gradient(120deg, #84fab0 0%, #8fd3f4 100%);*/
  background-image: linear-gradient(120deg, #FDE68A 0%, #FDE68A 100%);
  
  background-repeat: no-repeat;
  background-size: 100% 0.25em;
  background-position: 0 89%;
  transition: background-size 0.2s ease-in;
  padding-right: 7px;
  padding-left: 3px;
  padding-top: -20px;

}

.underline--magical-2:hover
{
  background-size: 100% 89%;
  padding-top: 3px;
}

.move-up-slightly
{
  position: relative;
  top:0px;
  transition: all 0.3s ease-out;
}

.move-up-slightly:hover
{
  top:-6px;
}

.decorate-image
{
  background-image: linear-gradient(120deg, #84fab0 0%, #8fd3f4 100%);
}

.project-picture
{
    background-size: cover;
    background-repeat: no-repeat;
}

.offscreen-nav-hidden
{
  right:-100% !important;
}

.offscreen-nav
{
  position: fixed;
  right:0px;
  height:100%;
  width:100%;
}

.hover-padding:hover
{
  padding: 1.5rem;
}

.delay1
{
    animation-delay: 0.15s;
}

.delay2
{
    animation-delay: 0.3s;
}

.delay3
{
    animation-delay: 0.45s;
}

.delay4
{
  animation-delay: 0.5s;
}

.easy-emdr-demo
{
  background-image: url("../img/easy-emdr.png");
}

.animal-demo
{
  background-image: url("../img/animal.png");
}

.collab-spot-demo
{
  background-image: url("../img/collab-demo2.jpg");
}

.safe-substance-demo
{
  background-image: url("../img/safe-substance.png");
}

.cure-it-demo
{
  background-image: url("../img/cure-it.jpg");
}

.bodily-autonomy-demo
{
  background-image: url("../img/bodily-autonomy.jpg");
}


a {
  color: inherit; 
  text-decoration: inherit; 
}

a:visited
{
    /*color:inherit;*/
    text-decoration: inherit;
}

.col-centered {
  margin: 0 auto;
}

@media only screen 
and (max-width: 413px)
{
  .contact-me-inactive
  {
      bottom:-170%;
  }
}

@media only screen 
and (max-height:500px)
{
  .contact-me-inactive
  {
    bottom:-500%;
  }
}

